import * as tslib_1 from "tslib";
import * as Library from "../../library/library";
import { Base } from "../common/base";
export var ColumnType;
(function (ColumnType) {
    ColumnType[ColumnType["Number"] = 0] = "Number";
    ColumnType[ColumnType["String"] = 1] = "String";
    ColumnType[ColumnType["Float"] = 2] = "Float";
    ColumnType[ColumnType["DateTime"] = 3] = "DateTime";
})(ColumnType || (ColumnType = {}));
var Column = (function (_super) {
    tslib_1.__extends(Column, _super);
    function Column(options) {
        var _this = _super.call(this, options) || this;
        _this.orderBy = Library.init(options, 'orderBy', 'id');
        _this.sortBy = Library.init(options, 'sortBy');
        _this.label = Library.init(options, 'label');
        _this.field = Library.init(options, 'field');
        _this.type = Library.init(options, 'type', ColumnType.String);
        _this.onClick = Library.init(options, 'onClick');
        return _this;
    }
    return Column;
}(Base));
export { Column };
//# sourceMappingURL=/Users/admin/Desktop/git/sandbox/typescript/src/model/generic/column.js.map